clear
Fs=100000; %采样频率
Fc=1000; %载波频率
T=0.1; %观察区间
Ns=Fs*T; %信号观察总长度
t=0:1/Fs:(Ns-1)/Fs;
A0=3;  %调制偏移电平
x1=2*cos(2*pi*50*t);
x2=cos(2*pi*20*t);
x=x1+x2;%原始调制信号  
    figure(1)
    subplot(3,1,1)
    plot(x)
    title('调制信号')
    u1=ammod(x,Fc,Fs,0,A0);%已调AM信号
    pam=sum(u1.^2)/length(u1)/T
    subplot(3,1,2)
    plot(u1)
    title('AM已调信号')
    u2=ammod(x,Fc,Fs);%已调dsbAM信号
    pdbsam=sum(u2.^2)/length(u2)/T
    subplot(3,1,3)
    plot(u2)
    title('DSB-AM已调信号')